# 🦌 Kano - Utilities for your Computer Vision Projects

![banner image](docs/img/banner.png)

[![Kano CI](https://github.com/egliette/kano/actions/workflows/python-app.yml/badge.svg)](https://github.com/egliette/kano/actions/workflows/python-app.yml)

**Kano** is a Python package providing utility functions for Computer Vision tasks. Its primary focus is simplifying lengthy functions, allowing developers to concentrate more on the main processes.

## 📥 Installation

[The latest released version](https://pypi.org/project/kano-cv/) is available on PyPI. You can install it by running the following command in your terminal:

```bash
pip install kano-cv
```

## 🚀 Usage

Explore the [Kano Document]() to learn how to use supported functions and see examples. **Kano** currently provides utilities for these groups:

- [Common tasks]():
  - [Files/Folders Manipulating]()
  - [Images Processing]()
  - [Videos Processing]()
- [Computer vision tasks]():
    - [YOLO-formatted Dataset]()
    - [Object Detection]()
    - Pose Estimation (In progress)
    - Object Segmentation (In progress)


## 🙋‍♂️ Contributing to Kano

All contributions, bug reports, bug fixes, enhancements, and ideas are welcome. Feel free to create pull requests or issues so that we can improve this library together.

## 🔑 License
Kano is licensed under the [MIT](LICENSE) license.
